******************************
*데이터가공(2) - 합산(가구데이터 기준)
******************************
/*Q: 가구 총 소득은 근로소득과 자녀양육지원금으로만 이루어진다고 할 때, 가구의 총 소득을 구하라
      (근로소득: 가구원 데이터 / 자녀양육지원금: 가구데이터)
  A: 가구원 데이터를 횡으로 변환하여 가구데이터와 병합시켜야 함 */
  
  
* 1. 가구원 데이터 reshape

use "[ex2]NaSTaB12P.dta", clear
sort pid12
reshape wide pid12 p12bb002 , i(hid12) j(ps12a04)
order hid12 pid* p12bb*     /*데이터 변수 별로 정렬*/

save "[ex2]NaSTaB12P_wide.dta", replace


* 2. 가구데이터와 merge

use "[ex2]NaSTaB12H.dta", clear
merge 1:1 hid12 using  "[ex2]NaSTaB11P_wide.dta" 


*3. 금액 변수 무응답 제거

/* 금액변수 합산해야하므로 무응답, 응답 거절 등 값 처리 필요
   해당사항 없음(missing)의 경우 수급/소득이 0이므로 0으로 처리
   조사 항목 모름, 응답거절(-9)의 경우 분석에 포함하지 않으므로 .처리
   (설명자료 p.48 참고) */

foreach x in h12ee107 h12ee114 h12ee421 h12ee425 h12ee444 h12ee450  ///
 p12bb0021 p12bb0022 p12bb0023 p12bb0024 p12bb0025 p12bb0026 p12bb0027 p12bb0028 p12bb0029 {
 replace `x' = 0 if `x'==.
 replace `x' = . if `x'==-9
 }

 *4. 가구 별 자녀양육지원금 합산
 
 egen h12ee_sum = rowtotal(h12ee107 h12ee114 h12ee421 h12ee426 h12ee444 h12ee450)

 
 *5. 가구 별 근로소득 합산
 
 egen p12bb_sum = rowtotal(p12bb0021 p12bb0022 p12bb0023 p12bb0024 p12bb0025 p12bb0026 p12bb0027 p12bb0028 p12bb0029)
 
 *6. 가구 별 총 소득 합산
 g income = h12ee_sum + p12bb_sum
